Loading...
Searching...
No Matches
casacore::MSSelUtil2< T > Class Template Reference

`#include <MSSelUtil2.h>`

## Static Public Member Functions

static void | reorderData (Array< T > &data, const Vector< Int > &ifrSlot, Int nIfr, const Vector< Int > &timeSlot, Int nTime, const T &defvalue)
| reorder data from 3d (corr,chan,row) to 4d (corr,chan,ifr,time)
static void | reorderData (Array< T > &data, const Matrix< Int64 > &rowIndex, Int64 nRow)
| reorder data from 4d (corr,chan,ifr,time) to 3d (corr,chan,row)
static void | timeAverage (Array< Bool > &dataFlag, Array< T > &data, const Array< Bool > &flag, const Array< Float > &weight)
| average data (with flags & weights applied) over it's last axis (time or row), return in data (overwritten), dataFlag gives new flags.

## Detailed Description

template<class T>
class casacore::MSSelUtil2< T >

Definition at line 34 of file MSSelUtil2.h.

## Member Function Documentation

## reorderData() [1/2]

template<class T>

void casacore::MSSelUtil2< T >::reorderData | ( | Array< T > & | data,
|  | const Matrix< Int64 > & | rowIndex,
|  | Int64 | nRow )

static

reorder data from 4d (corr,chan,ifr,time) to 3d (corr,chan,row)

## reorderData() [2/2]

template<class T>

void casacore::MSSelUtil2< T >::reorderData | ( | Array< T > & | data,
|  | const Vector< Int > & | ifrSlot,
|  | Int | nIfr,
|  | const Vector< Int > & | timeSlot,
|  | Int | nTime,
|  | const T & | defvalue )

static

reorder data from 3d (corr,chan,row) to 4d (corr,chan,ifr,time)

## timeAverage()

template<class T>

void casacore::MSSelUtil2< T >::timeAverage | ( | Array< Bool > & | dataFlag,
|  | Array< T > & | data,
|  | const Array< Bool > & | flag,
|  | const Array< Float > & | weight )

static

average data (with flags & weights applied) over it's last axis (time or row), return in data (overwritten), dataFlag gives new flags.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelUtil2.h